require 'page-object'
require_relative '../../lib/helper/accordion_helper'

class About < AccordionHelper
  include PageObject

  h3(:title, :css => '.modal-header h3')
  p(:version, :css => '.modal-body p:nth-of-type(1)')

  button(:vaFitHeart, :css => 'div[heading="VA FitHeart"] .panel-heading')
  button(:projectTeam, :css => 'div[heading="Project Team"] .panel-heading')
  button(:references, :css => 'div[heading="References"] .panel-heading')
  button(:acknowledgements, :css => 'div[heading="Acknowledgements"] .panel-heading')

  link(:eula, :css => 'a[ng-click="showEula()"]')

  button(:ok, :css => 'button[ng-click="ok()"]')
  div(:aboutDialog, :css => '.modal-dialog')

  #help modal
  link(:userGuide, :css => 'a[ng-click="showUserGuide()"]')

  def isAboutPopUpPresent()
    begin
      return aboutDialog_element.visible?
    rescue Exception=>e
      return false
    end
  end

end