require 'watir-webdriver'
require 'page-object'

class CommonElement
  include PageObject

  h1(:jquerymobiletitle, :class => 'ui-title')
  span(:angulartitle, :css => '.main-title > span')
  h2(:primaryHeader, :css => '.primary-header > h2')
  h2(:secondaryHeader, :css => '.secondary-header > h2')
  span(:socPrimaryHeader, :css => 'h3[name="Summary"] > span')
  button(:returnToPrevScreen, :css => 'button[ng-click="goBack()"]')
  span(:defaultTextToSelectItem, :css => '.page.row > span')
  div(:noResultFountMsg, :css => '.no-results-message > div')

  span(:requiredFieldLabel, :css => '.pull-right.ng-scope.ng-isolate-scope')


end