require 'page-object'
require_relative '../../lib/helper/common_element'

class LandingPage < Common_Element
  include PageObject
  button(:login, :class => 'login')

  #for Unauthenticated user
  h2(:welcomeTitle, :css => 'div.container h2')
  p(:currentDate, :css => 'div.container div p:nth-of-type(1)')
  #div(:dateAndMessage, :css => 'div.container div')
  p(:messageDate, :css => 'div.container div p:nth-of-type(1)')
  p(:message1, :css => 'div.container div p:nth-of-type(2)')
  p(:message2, :css => 'div.container div p:nth-of-type(4)')

  #for AuthenticatedUser
  h2(:welcomeTitleForAuthenticatedUser, :css => '.splash-screen h2')
  #div(:dateForAuthentiatedUser, :css => 'div.welcome div')

end