require 'page-object'
require_relative '../../lib/helper/common_element'

class Launchpad < Common_Element
  include PageObject

  h1(:launchpadHeader, :css => 'div.ui-page > div.ui-header > h1')
  link(:mvahLink, :css => 'a[href="/my-va-health"]')
  link(:socLink, :css => 'a[href="/summary-of-care"]')
  link(:jmbbLink, :css => 'a[href="/mbb2"]')
  link(:fitHeart, :css => 'a[href="/fit-heart"]')
  image(:fitHeartIcon, :css => 'imag[alt="VA FitHeart Icon"]')
  link(:care4caregiversLink, :css => 'a[href="/care4caregivers"] span')
  button(:lpAccept, :id => 'accept-btn')
  button(:lpDecline, :id => 'decline-btn')
  link(:logout, :css => 'a[href="../logout"] span')
  span(:socLoggedIn, :css => '.username-bar-primary > span')
  li(:footer, :id => 'footer-username')

  link(:care4caregivers, :css => 'a img[src="../care4caregivers/assets/images/app-icons/care4caregivers-icon.png"]')
end