require 'page-object'

class Modal
  include PageObject

  #common modal
  button(:ok, :css => 'button[ng-click="ok()"]')
  button(:ok2, :css => 'button[data-ng-click="modalContent.close()"]')
  h3(:modalTitle, :css => '.modal-header h3')
  p(:section1, :css => '.modal-body p:nth-of-type(1)')
  p(:section2, :css => '.modal-body p:nth-of-type(2)')
  p(:section3, :css => '.modal-body p:nth-of-type(3)')
  p(:section4, :css => '.modal-body p:nth-of-type(4)')
  div(:modalDialog, :css => '.modal-dialog')

  #help modal
  link(:userGuide, :css => 'a[ng-click="showUserGuide()"]')

  def isModalPopUpPresent()
    begin
      return modalDialog_element.visible?
    rescue Exception=>e
      return false
    end
  end
end