require 'page-object'
require_relative 'modal_dialog'

class RightSideNav
  include PageObject

  button(:rightMenu, :id => 'user-menu-toggle-btn')
  button(:about, :id => 'about')
  button(:help, :id => 'help')
  button(:launchpad, :id => 'launchpad')
  button(:login, :id => 'login')
  button(:logout, :id => 'logout')
  h2(:menuHeader, :css => '.snap-drawer-right .panel-title')
  elements(:userMenuList, :li,  :css => ".snap-drawer-right ul:nth-of-type(1) li")
  elements(:navMenuList, :li,  :css => ".snap-drawer-right ul:nth-of-type(2) li")

  #def initialize(driver)
  #  super(driver)
    #@eula = Eula.new(driver)
   # @modal = Modal.new(driver)
  #end

  # def getAppNameFromAbout()
  #   origArry = @modal.section1.split(" - ")
  #   return origArry[0]
  # end
  #
  # def getVersionNumFromAbout()
  #   origArry = @modal.section1.split(" - ")
  #   return origArry[1]
  # end


  def getNthUserMenu(number)
    return userMenuList_elements[number - 1].text
  end

  def getNthNavMenu(number)
    return navMenuList_elements[number - 1].text
  end

  def isAboutFocused()
    #focuse? method will be deprecated soon
    return element(:button,  :id => 'about').focused?
  end

end