require 'rubygems'
require 'rspec'

require 'page-object'
require 'json'

require_relative '../../../lib/helper/common_element'
require_relative '../../../lib/helper/accordion_helper'

class Support1 < AccordionHelper
	include PageObject

	span(:firstPageContent, :css => '.placeholder-message')
    elements(:supportOptions, :li, :css => '.secondary-list li')

	button(:getSupportRightNow, :css => '.get-support-right-now')
	button(:resources, :css => '.resources')

	div(:getSupportContent, :css => '.page div')



	def getNthOption(number)
    return supportOptions_elements[number - 1].text
  end

end