define([
		'app',
		'FavoriteSummaryController'
	],
	function (app) {
		"use strict";

		app.config(function ($stateProvider) {
			$stateProvider
				.state('main.two-panel.secondary-navigation.favorites', {
					url: '/favorites',
					appNavIndex: 6,
					iconClass: 'icon icon-star',
					data: {
						appletName: "Favorites",
						panel: "secondary",
                        baseStateName : 'main.two-panel.secondary-navigation.favorites',
                        initialState : "summary",
                        paramSections : [
                            {
                                paramValue : "favorites",
                                sectionName : "My Favorites",
                                sectionIndex : 1,
                                backState : "^"
                            },
                        ]
					},
					views : {
						'primary@main.two-panel': {
							templateUrl: 'src/modules/favorites/summary/favorites-summary_template.html',
							controller: 'FavoriteSummaryController'
						}
					}
				})
				.state('main.two-panel.secondary-navigation.favorites.summary', {
					url: '/{favorites}summary',
					data: {
						panel : "primary",
						backState : "^"
					},
					views : {
						'primary@main.two-panel': {
							templateUrl: 'src/modules/favorites/summary/favorites-summary_template.html',
							controller: 'FavoriteSummaryController'
						}
					}
				});
		});
	}
);
