define(['angular', 'app'], function (angular, app) {
	"use strict";
	app.service('ManageService',
		function ($http, $q, $log) {
			var service = {};

			service.getManageCategories = function () {
				var deferred = $q.defer();

				$http.get('data/manage/manage-categories.json').success(function (response) {
					deferred.resolve(response);
				}).error(function (response, status) {
					$log.error('error fetching learn categories: ' + status);
				});
				return deferred.promise;
			};
			service.getHelp = function () {
				var deferred = $q.defer();

				$http.get('data/manage/ToolCategories.json').success(function (response) {
					deferred.resolve(response);
				}).error(function (response, status) {
					$log.error('error fetching learn categories: ' + status);
				});
				return deferred.promise;
			}

			return service;
		});
});
