define(['angular', 'app', 'global'], function (angular, app) {
	'use strict';

	app.controller('AboutController', function ($scope, $modalInstance, $timeout, pageService, focusService) {

		$scope.$watch(function () {
			return $('div.modal-header h3').is(":visible");
		}, function (isVisible, wasVisible) {
			if (isVisible && !wasVisible) {
				focusService.focusElement($('div.modal-header h3'));
			}
		});

		$scope.version = pageService.getVersionNumber();

		$scope.ok = function () {
			$modalInstance.close();
		};

		$scope.showEula = function () {
			window.open("src/ui-components/modals/about/eula.html", "_blank", "location=no,scrollbars=1,resizable=1");
		};
	})
});