require 'page-object'
require_relative '../../lib/browser_container/browser_container'

class Common_Element < BrowserContainer
  include PageObject
   h1(:appTitle, :css => 'h1')
   h2(:primaryHeader, :css => '.primary-header > h2')
   h2(:secondaryHeader, :css => '.secondary-header > h2')
   h3(:contentTitle, :css => '.primary-content .page  h3')
   div(:footer, :css => '.main-footer')

  button(:backButton, :css => 'button[ng-click="goBack()"]')
  element(:backButtonIcon, :i,  :css => 'i.glyphicon-chevron-left')

end