require 'rubygems'
require 'rspec'

require 'page-object'
require 'json'

require_relative '../../../lib/helper/common_element'
require_relative '../../../lib/helper/accordion_helper'

class Favorites < AccordionHelper
	include PageObject

	button(:takeATimeOut, :css => '.my-favorites')
	elements(:favoritesMenuList, :li, :css => '.secondary-list li')
	p(:noFavorites, :css => 'p[ng-if="noFavorites"]')
	button(:myFavorite, :css => '.my-favorites')

	def getNthFavoritesItem(index)
		return favoritesMenuList_elements[index - 1].text
	end

end

