require 'page-object'

class LeftSideNav
  include PageObject

  button(:leftMenu, :id => 'nav-menu-toggle-btn')
  button(:home, :id => 'Home')
  button(:learn, :id => 'Learn')
  button(:assess, :id => 'Assess')
  button(:assessment, :id => 'Assess')
  button(:manage, :id => 'Manage')
  button(:favorites, :id => 'Favorites')
  button(:support, :id => 'Support')
  h2(:title, :css => 'div.panel-header h2.panel-title')
  elements(:appOptions, :li,  :css =>".snap-drawer-left ul.panel-menulist li")

  def getNthOption(number)
    return appOptions_elements[number - 1].text
  end

end