define(['angular', 'app'], function (angular, app) {
	"use strict";
	app.constant("config", {
		app: {
			title: 'Care4Caregivers',
			pages: ['Home']
		},
		formats: {
			FRONTEND: {
				DATE: 'MM/dd/yyyy',
				TIME: 'hh:mm a',
				DATE_TIME: 'MM/dd/yyyy hh:mm a'
			},
			BACKEND: {
				DATE: 'MM/dd/yyyy',
				TIME: 'HH:mm ss',
				DATE_TIME: 'MM/dd/yyyy HH:mm:ss'
			}
		},
		defaults: {
			DATE_RANGE_DELTA: {days : 30}
		}
	});
});
