define(['angular', 'app', 'formatter'], function (angular, app) {
	'use strict';

	app.controller('GraphHelpController', function ($scope, $state, formatter, $modalInstance) {
		$scope.$watch(function () {
			return $('div.modal-header h3').is(":visible");
		}, function (isVisible, wasVisible) {
			if (isVisible && !wasVisible) {
                focusService.focusElement($('div.modal-header h3'));
			}
		});
		$scope.cancel = function () {
			$modalInstance.dismiss('cancel');
		};
	});
});