define(["angular", "app", "ManageService"], function (angular, app, ManageService) {
	"use strict";

	app.controller("ManageEntryController", function ($scope, $filter, $state, $stateParams, ManageService) {
		$scope.featureName = $state.current.data.appletName;
		$scope.sectionTitle = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionName;
		$scope.sectionIndex = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionIndex - 1;

		ManageService.getManageCategories().then(function(response){
			$scope.manageCategory = response[$scope.sectionIndex];
		});


	});
});